

Name: katomic
Summary:  Build complex atoms with a minimal amount of moves
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/games/katomic/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel

BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kwidgetsaddons-devel 
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kitemviews-devel
BuildRequires: kiconthemes-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel
BuildRequires: knotifyconfig-devel
BuildRequires: knewstuff-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl


%description 
KAtomic is a fun educational game built around molecular geometry.
It employs simplistic two-dimensional looks at different chemical elements

%files
%_kf5_bindir/katomic
%_kf5_iconsdir/hicolor/*/apps/katomic.png
%_kf5_datadir/katomic
%_kf5_datadir/applications/org.kde.katomic.desktop
%_kf5_datadir/kconf_update/katomic-levelset-upd.pl
%_kf5_datadir/kconf_update/katomic-levelset.upd
%_kf5_datadir/metainfo/org.kde.katomic.appdata.xml
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/katomic.categories
%_kf5_datadir/knsrcfiles/katomic.knsrc
#------------------------------------------------------------------------------

%package -n katomic-handbook
Summary: Katomic handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n katomic-handbook
This package provides the katomic handbook.

%files -n katomic-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

